*OBJGET2.PRG
*Purpose --Show how to move from GET to GET in any order
*Also show implementation of new GET Class with GETNEW,READMODAL,POSTBLOCK,PREBLOCK,Separate colors for GETS
*and other new commands and features -- AADD, public array GETLIST
*Implementation of moving from GET to GET was done in separate version of GETSYS
*I have included fragment of GETSYS.PRG to show where changes were made
*My getsys also has "IRA's changes". See CL506.ZIP possibly on this board
*USE --To move from GET to GET just use a VALID and return the number of next GET
*This matches FoxPro's implementation.
*Fragment in get sys checks for valid numbers in the array
*Ben Hicks 12/15/90. National Bank of Fredericksburg, Fredericksburg, Va.

#INCLUDE "INKEY.CH"
READEXIT(.T.)
USE FIN2
SET COLOR TO +W/B
Clear

g1:=AADD(getlist,GETNEW(10,10,FIELDBLOCK("NAME"),"NAME","@!","+BG/+B,W+/BG"))
g1:postblock :=  {|cvalue1| Dispme1(cvalue1) }
g2:=AADD(getlist,GETNEW(12,10,FIELDBLOCK("FNAME"),"FNAME","@!","+BG/+r,r/BG"))
g2:preblock  :=  {|cvalue2| Dispre2(cvalue2) }
g2:postblock :=  {|cvalue2| Dispme2(cvalue2) }
g3:=AADD(getlist,GETNEW(14,10,FIELDBLOCK("DATE"),"DATE","","W+/G,G/W+"))
g3:postblock:=   {|cvalue3| Dispme3(cvalue3) }
@10,4 SAY "NAME"
@12,4 SAY "FIRST"
@14,4 SAY "DATE"
READMODAL(getlist)


FUNCTION DISPME1
PARAMETER cvalue1
@23,1 SAY "This WAS the end of Get 1!"
@24,1 SAY "Skip to 3 without a WHEN  "
N:=3
RETURN N

FUNCTION DISPRE2
PARAMETER cvalue2
@23,1 SAY "You are moving to GET 2!  "
@24,1 SAY "This is a preblock        "
RETURN .T.

FUNCTION DISPME2
PARAMETER cvalue2
@23,1 SAY "This WAS Get 2 !          "
@24,1 SAY "Skip to 3 normally        "
IF LASTKEY()=K_UP   && Move back to GET 1
@23,1 SAY "Used Up arrow to move     "
@24,1 SAY "to GET 1                  "
Endif
RETURN .T.

FUNCTION DISPME3
PARAMETER cvalue3
IF LASTKEY()=K_DOWN.or.LASTKEY()=K_ENTER.or.LASTKEY()=K_UP
N:=2  && Go back to 2 skipped unless down arrow pressed
@23,1 SAY "You used down, up arrow   "
@24,1 SAY "or enter to move to GET 2 "
INKEY(2)

ELSEIF LASTKEY()=K_PGUP
N:=1
@23,1 SAY "You used the Page Up key  "
@24,1 SAY "to move to GET 1          "

ELSEIF LASTKEY()=K_CTRL_END
N:=3
@23,1 SAY "You used the CTRL END     "
@24,1 SAY "Stay on Get 3             "

ELSEIF LASTKEY()=K_PGDN
CLEAR
@23,1 SAY "You used the Page Down key"
@24,1 SAY "to end this routine.Thanks"
CLOSE ALL
QUIT

** Trap other keys that I have not tested. Stay on 3
ELSE
N:=3
@23,1 SAY "Congrats. You found a key "
@24,1 SAY "not tested...Stay on 3    "
INKEY(1)
ENDIF
RETURN N

